import junit.framework.TestCase;
public class FirstEclipseTest extends TestCase {
    public void testIsNumber1() {
        boolean ret = FirstEclipse.isNumber("0123456789");
        
        assertTrue(ret);
    }
    public void testIsNumber2() {
        boolean ret = FirstEclipse.isNumber("0.123456789");
        
        assertFalse(ret);
    }
    public void testIsNumber3() {
        boolean ret = FirstEclipse.isNumber("abc");
        
        assertFalse(ret);
    }
    public void testIsNumber4() {
        boolean ret = FirstEclipse.isNumber(null);
        
        assertFalse(ret);
    }
    public void testEcho1() {
        try {
            FirstEclipse.echo("01234");
        } catch(Exception ex) {
            fail(ex.getMessage());
        }
    }
    public void testEcho2() {
        try {
            FirstEclipse.echo(null);
            fail();
        } catch(Exception ex) {
            assertEquals(ex.getMessage(),"引数NULL");
            assertTrue(ex instanceof Exception);
        }
    }
    public void testEcho3() {
        try {
            FirstEclipse.echo("0.123");
        } catch(Exception ex) {
            fail(ex.getMessage());
        }
    }
    public void testEcho4() {
        try {
            FirstEclipse.echo("abc");
        } catch(Exception ex) {
            fail(ex.getMessage());
        }
    }
    public void testExecute1() {
        String[] args = new String[0];
        int ret = FirstEclipse.execute(args);
        assertEquals(ret, -1);
    }
    public void testExecute2() {
        String[] args = {"123"};
        int ret = FirstEclipse.execute(args);
        assertEquals(ret, 0);
    }
    public void testExecute3() {
        String[] args = {"abc"};
        int ret = FirstEclipse.execute(args);
        assertEquals(ret, 0);
    }
    public void testExecute4() {
        String[] args = {"1.23"};
        int ret = FirstEclipse.execute(args);
        assertEquals(ret, 0);
    }
    public void testExecute5() {
        String[] args = {null};
        int ret = FirstEclipse.execute(args);
        assertEquals(ret, 0);
    }
}
