public class FirstEclipse {

    public static void main(String[] args) {
        System.exit(execute(args));
    }

    protected static int execute(String[] args) {
        if( args.length == 0 ) {
            return -1;
        }
        String msg = null;
        if( isNumber(args[0]) ) {
            msg = "第1引数は数値です。";
        } else {
            msg = "第1引数は数値ではありません。";
        }

        try {
            echo(msg);
            if( isNumber(args[0])) {
                System.out.println(parseInt(args[0]));
            }
        } catch(Exception ex) {
            ex.printStackTrace();
            return -2;
        }
        return 0;
    }

    protected static boolean isNumber(String str) {
        return str == null ? false : str.matches("[0-9]+");
    }

    static void echo(String str) throws Exception {
        if( str == null ) {
            throw new Exception("引数NULL");
        }
        System.out.println(str);
    }

    private static int parseInt(String str)
                        throws NumberFormatException{
        return Integer.parseInt(str);
    }
}
